/** \brief This file contains all the enums of the engine that will provide enum to string conversion
 *
 * See file \ref EnumToString.h for details.
 */

#if ( !defined(_ENGINEENUMS_H) || defined(GENERATE_ENUM_STRINGS) )

#if ( !defined(GENERATE_ENUM_STRINGS))
	#define _ENGINEENUMS_H
#endif

#include "EnumToString.h"

namespace Engine {

BEGIN_ENUM(EngineStatus)
{
	DECL_ENUM_ELEMENT(EngineStatusUndefined),
	DECL_ENUM_ELEMENT(EngineStatusInitializing),
	DECL_ENUM_ELEMENT(EngineStatusInitialized),
	DECL_ENUM_ELEMENT(EngineStatusRunning),
	DECL_ENUM_ELEMENT(EngineStatusStopping),
	DECL_ENUM_ELEMENT(EngineStatusStopped),
	DECL_ENUM_ELEMENT(EngineStatusDestroying),
	DECL_ENUM_LAST(EngineStatus)
}
END_ENUM(EngineStatus)

BEGIN_ENUM(LogLevel)
{
	DECL_ENUM_ELEMENT(LogLevelDebug),
	DECL_ENUM_ELEMENT(LogLevelWarning),
	DECL_ENUM_ELEMENT(LogLevelMessage),
	DECL_ENUM_ELEMENT(LogLevelError),
	DECL_ENUM_LAST(LogLevel)
}
END_ENUM(LogLevel)

BEGIN_ENUM(FontJustification)
{
	DECL_ENUM_ELEMENT(FontJustificationRight),
	DECL_ENUM_ELEMENT(FontJustificationCenter),
	DECL_ENUM_ELEMENT(FontJustificationLeft),
	DECL_ENUM_LAST(FontJustification)
}
END_ENUM(FontJustification)


}
#endif /* _ENGINEENUMS_H */
